adding new forced upgrade version